#include <iostream>

using namespace std;

class A {
  public:
    int x;

    A() : x(7) {}
    A(int x_) : x(x_) {} };
class B : public A {
  public:
    B() {}
    B(int x_) : A(x_ / 2) {} };

int main() {
  B b1{}; cout << b1.x << " ";
  B b2{7}; cout << b2.x << endl;
}
